- 积分
- 216
- 明经币
- 个
- 注册时间
- 2003-5-5
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
本帖最后由 作者 于 2003-9-11 15:18:06 编辑
Sub LzcBeam()
Dim BeamWith As Integer
Dim LzcBeam As AcadLine
Dim LzcBeam_1 As Variant
Dim LzcBeam_2 As Variant
Dim BeamStartPoint As Variant
Dim BeamEndPoint As Variant
BeamWith = 50
BeamStartPoint = ThisDrawing.Utility.GetPoint(, "enter a point:")
BeamEndPoint = ThisDrawing.Utility.GetPoint(BeamStartPoint, "enter another a point")
For i = 0 To 10
Set LzcBeam = ThisDrawing.ModelSpace.AddLine(BeamStartPoint, BeamEndPoint)
LzcBeam_1 = LzcBeam.Offset(BeamWith / 2)
LzcBeam_2 = LzcBeam.Offset(-BeamWith / 2)
LzcBeam.Delete
BeamStartPoint = BeamEndPoint
BeamEndPoint = ThisDrawing.Utility.GetPoint(BeamStartPoint, "enter the next point")
Dim SP As Variant
' 为什么这行有问题,我如何才能看到偏移后直线的起点、终点坐标?
SP = LzcBeam_1 .Startpoint
MsgBox SP(0)
Next i
End Sub
在用offset命令偏移后,却不能编辑偏移后的直线,很是痛苦,请问各位如何才能编辑偏移后直线的起点和终点坐标?谢谢 |
|